package org.jeecg.modules.adweb.enquiry.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.adweb.enquiry.entity.AdwebEnquiryForm;
import org.jeecg.modules.adweb.enquiry.mapper.AdwebEnquiryFormMapper;
import org.jeecg.modules.adweb.enquiry.service.IAdwebEnquiryFormService;
import org.springframework.stereotype.Service;

/**
 * @Description: adweb_enquiry_form
 * @Author: jeecg-boot
 * @Date: 2022-08-03
 * @Version: V1.0
 */
@Service
public class AdwebEnquiryFormServiceImpl
        extends ServiceImpl<AdwebEnquiryFormMapper, AdwebEnquiryForm>
        implements IAdwebEnquiryFormService {

    @Override
    public AdwebEnquiryForm getByEnquiryId(long enquiryId) {
        LambdaQueryWrapper<AdwebEnquiryForm> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(AdwebEnquiryForm::getEnquiryId, enquiryId);
        return getOne(queryWrapper);
    }
}
