package org.jeecg.modules.adweb.site.dto.result;

import lombok.Data;

/** 综合统计类 */
@Data
public class SiteBasicInfo {

    /** 套餐名称 */
    private String planName;

    /** 套餐类型 - 是否SEO */
    private String planType;

    /** 创建时间 */
    private String createTime;

    /** 到期时间 */
    private String endTime;

    /** 运行状态 */
    private Integer runStatus;

    /** 交付状态 */
    private String deliveryProgress;

    /** 运行天数 */
    private int runDays;

    /** 赠送天数 */
    private Integer giveDay;

    /** 补偿天数 */
    private Integer compensateDay;

    private int percentage;

    private int siteStatus;
}
