package org.jeecg.modules.adweb.common.constant;

/**
 * class
 *
 * @author 马娟娟
 * @date 2019/8/26 0026 17:29
 * @Description
 */
public class ShellConstans {

    /** 站点备份shell脚本常量 */
    public interface BackupSite {

        public static final String ERROR = "[ERROR]";

        public static final String BACKUPCOMPLETE = "[BACKUPCOMPLETE]";

        public static final String BACKUP_PATH = "[BACKUP_PATH]";

        public static final String BACKUP_SIZE = "[BACKUP_SIZE]";

        public static final String BACKUP_RESULT = "[BACKUP_RESULT]";
    }

    /** 站点内存空间监控 */
    public interface SiteSize {

        public static final String WEBSITE_DISK = "**website_disk**";
    }

    /** 服务内存空间监控 */
    public interface ServerSize {

        public static final String SERVER_DISK = "**server_disk**";

        public static final String SERVER_MEM = "**server_mem**";

        public static final String SERVER_CPU = "**server_cpu**";
    }

    /** 磁盘常量 */
    public static final Integer DISK_NUM = 70;

    /** CPU常量 */
    public static final Integer CPU_NUM = 80;

    /** 内存常量 */
    public static final Integer MEMORY_NUM = 80;

    public static final String SUCCESS_INFO = "[UPDATECOMPLETE]";

    /** 自动添加SSL */
    public interface addSsl {
        public static final String START_CERT = "[start cert.pem]";
        public static final String END_CERT = "[end cert.pem]";
        public static final String START_PRIVKEY = "[start privkey.pem]";
        public static final String END_PRIVKEY = "[end privkey.pem]";
        public static final String START_CHAIN = "[start chain.pem]";
        public static final String END_CHAIN = "[end chain.pem]";
        public static final String IS_ERROR_INFO = "[EXIST]";
        public static final String NULL_ERROR_INFO = "[NONEXIST]";
        public static final String DATE_TIME = "[LASTMTIME]";
    }
}
