package org.jeecg.modules.adweb.dmp.dto.google.analytics.report;

import lombok.Data;

import java.util.List;

/**
 * @author wfansh
 */
@Data
public class GAReportRequestDTO {

    private String propertyResourceName;

    private ReportType reportType;

    private String startDate;

    private String endDate;

    /** Overrides defaults in {@link ReportType}. */
    private List<String> metrics;

    /** Overrides defaults in {@link ReportType}. */
    private List<String> dimensions;

    /** Overrides defaults in {@link ReportType}. */
    private String orderBy;

    /** Overrides defaults in {@link ReportType}. */
    private OrderByType orderByType;

    /** Overrides defaults in {@link ReportType}. */
    private Boolean orderByDesc;

    private int limit;
}
